/*********************************************************************
 *
 * Authors: Vincenzo Ciaschini - Vincenzo.Ciaschini@cnaf.infn.it 
 *
 * Copyright (c) 2002, 2003 INFN-CNAF on behalf of the EU DataGrid.
 * For license conditions see LICENSE file or
 * http://www.edg.org/license.html
 *
 * Parts of this code may be based upon or even include verbatim pieces,
 * originally written by other people, in which case the original header
 * follows.
 *
 *********************************************************************/
#ifndef __FILE_H
#define __FILE_H
#include <sys/types.h>
#include <string.h>

#include <vector>

/* file.c */
/*
 * This structure is meant to contain a line of the configuration file.
 */
struct vomsdata {
  std::string nick;
  std::string host;
  std::string contact;
  std::string vo;
  int    port;
};


extern bool loadfile(std::string filename, uid_t uid, gid_t gid, 
		     bool debug=false, bool wasempty=false);
extern void discardfile(void);
extern std::vector<vomsdata> findinfile(std::string nick);
#endif
